LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   firefox-16.0.2 don't running (http://www.linuxquestions.org/questions/slackware-14/firefox-16-0-2-dont-running-4175436600/)

yasu 11-10-2012 07:24 PM

firefox-16.0.2 don't running
 
Hello all.

I can't running firefox.
When I was run firefox, it output following error message.

---------------------------------------------
XPCOMGlueLoad error for file /usr/lib/firefox-16.0.2/libxpcom.so:
libxul.so: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
---------------------------------------------

This firefox see not /usr/lib/firefox-16.0.2/libxul.so but /usr/lib/libxul.so in results of strace.

Didier Spaier 11-11-2012 12:41 AM

No problem here on Slackware 13.37 & Slackware 14.0.

I used 'upgradepkg' or 'slackpkg upgrade' to install the firefox-16.02 Slackware package. How did you do that?

RockDoctor 11-11-2012 07:01 AM

No problem on Ubuntu 12.10 or (what will be) Fedora 18. Looks like you might not have the appropriate version of the xul libraries (xulrunner in Fedora; not sure how it's packaged in Ubuntu)

jmccue 11-11-2012 07:19 AM

Hi

I am on the 64 bit slackware and I have file /usr/lib64/firefox-16.0.2/libxpcom.so, on a 32 bit system it would be /usr/lib/firefox-16.0.2/libxpcom.so

Do you have a mix of 32/64 bit software ? You can check if a binary is 32/64 bit by using command "file" and to find the list of files to check by searching /var/log/packages/ for libxpcom. Then for for packages returned check all binaries listed in the files found. For me, libxpcom.so is in 4 packages.

John


All times are GMT -5. The time now is 10:14 AM.